<?php
/**
 * Party Corp Admin Class.
 *
 * @package Party Corp
 * @since   1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('Party_Corp_Admin')) :
    /**
     * Party_Corp_Admin Class.
     */
    class Party_Corp_Admin
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'));
        }

        /**
         * Localize array for import button AJAX request.
         */
        public function enqueue_scripts()
        {
            wp_enqueue_style(
                'party-corp-admin-style',
                get_template_directory_uri() . '/inc/dashboard/css/admin.css',
                array(),
                PARTY_CORP_VERSION
            );

            wp_enqueue_script('party-corp-plugin-install-helper', get_template_directory_uri() . '/inc/dashboard/js/admin.js', array('jquery'), PARTY_CORP_VERSION);
            $party_corp_welcome_data = array(
                'uri' => esc_url(admin_url('/themes.php?page=party-corp&tab=starter-templates')),
                'btn_text' => esc_html__('Processing...', 'party-corp'),
                'nonce' => wp_create_nonce('party_corp_demo_import_nonce'),
                'admin_url' => esc_url(admin_url()),
                'ajaxurl' => admin_url('admin-ajax.php'), // Include this line for using admin-ajax.php
            );
            wp_localize_script('party-corp-plugin-install-helper', 'partycorpRedirectDemoPage', $party_corp_welcome_data);
        }

        
    }
endif;
return new Party_Corp_Admin();
